<?php

////////////////////////////////////////
// Nom du plugin : Bloc notes
// Date de sortie : 20/07/2005
// Site de l'auteur : http://jebulle.net
////////////////////////////////////////
// Encodage du fichier : UTF-8
// Utilisation des tabulations : Oui
// 1 tabulation = 4 caractères
// Fins de lignes = LF (Unix)
////////////////////////////////////////

/***********************************************************************

  Copyright (C) 2005  SamRay1024 (webmaster@jebulle.net)

  This file is part of PunBB.

  PunBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  PunBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/


// Make sure no one attempts to run this script "directly"
if (!defined('PUN'))
	exit;

// Tell admin_loader.php that this is indeed a plugin and that it is loaded
define('PUN_PLUGIN_LOADED', 1);

// Définitions
define( 'PLUGIN_VERSION',		'1.0' );
define( 'PLUGIN_LOCALE',		'Fr' );
define( 'PLUGIN_TITLE',			'Bloc notes' );
define( 'PLUGIN_HELP',			'<strong>'.PLUGIN_TITLE.'</strong> vous fournit la possibilit&eacute; de noter ce qui vous passe par
								la t&ecirc;te.' );

define( 'PLUGIN_FILE_NAME',		'notes.txt' );
define( 'PLUGIN_ERROR',			'Erreur' );
define( 'PLUGIN_MESSAGE',		'Info' );
define( 'PLUGIN_TITLE_2',		'Edition du bloc notes' );
define( 'PLUGIN_TITLE_3',		'Contenu du fichier' );
define( 'PLUGIN_FILE_SIZE', 	'Poids du fichier de notes' );
define( 'PLUGIN_SUBMIT',		'Enregistrer' );
define( 'PLUGIN_SAVE_OK',		'Le contenu du bloc notes a &eacute;t&eacute; sauvegard&eacute;.' );

define( 'PLUGIN_ERROR_EDIT',	'Impossible d\'&eacute;diter le fichier de notes. V&eacute;rifiez que le fichier '.PLUGIN_FILE_NAME.' existe.
								Il doit se trouver dans le dossier des plugins.' );
define( 'PLUGIN_ERROR_WRITE',	'Attention ! Le fichier n\'a pas &eacute;t&eacute; enregistr&eacute;. Il n\'est pas autoris&eacute; en &eacute;criture.' );

// initialisations
$sMessage = '';
$sContenu = '';
$fPoids = 0;

if ( file_exists(PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME) )
{
	// Si enregistrement demandé
	if( isset($_POST['enregistrer']) )
	{
		if( is_writable( PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME ) )
		{
			$handle = fopen( PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME, 'w' );
			fwrite( $handle, $_POST['contenu'] );
			fclose( $handle );
			
			$sMessage = '<div class="block">
							<h2 class="block2"><span>'.PLUGIN_MESSAGE.'</span></h2>
							<div class="box">
								<div class="inbox">
									<p style="color: green;">'.PLUGIN_SAVE_OK.'</p>
								</div>
							</div>
						</div>';
		}
		else
		{
			$sMessage = '<div class="block">
							<h2 class="block2"><span>'.PLUGIN_ERROR.'</span></h2>
							<div class="box">
								<div class="inbox">
									<p style="color: red;">'.PLUGIN_ERROR_WRITE.'</p>
								</div>
							</div>
						</div>';
		}
		
		// on remet le contenu enregistré dans le formulaire
		$sContenu = $_POST['contenu'];
	}
	// lecture du contenu
	else $sContenu = file_get_contents( PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME );
	
	// lecture poids du fichier
	clearstatcache();
	$fPoids = round( filesize( PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME ) / 1024, 3 );
}

// Display the admin navigation menu
generate_admin_menu($plugin);

?>
	<div class="block">
		<h2><span><?php echo PLUGIN_TITLE; ?> - v<?php echo PLUGIN_VERSION ?> - <?php echo PLUGIN_LOCALE; ?></span></h2>
		<div class="box">
			<div class="inbox">
				<p><?php echo PLUGIN_HELP; ?></p>
			</div>
		</div>
	</div>
	
	<?php echo $sMessage; ?>
	
	<div class="block">
		<h2 class="block2"><span><?php echo PLUGIN_TITLE_2; ?></span></h2>
		<div class="box">
			<div class="inbox">
			
				<?php if ( file_exists(PUN_ROOT.'plugins/'.PLUGIN_FILE_NAME) ) { ?>
					
				<p><?php echo PLUGIN_FILE_SIZE; ?> : <strong><?php echo $fPoids,' Ko'; ?></strong></p>
			
				<fieldset>
					<legend><?php echo PLUGIN_TITLE_3; ?></legend>
					<div class="infldset">
					
						<form id="blocnotes" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>">
							<table cellspacing="0">
					
								<tr>
									<td>
										<textarea name="contenu" rows="20" tabindex="1" style="width: 99%;"><?php echo $sContenu; ?></textarea>
									</td>
								</tr>
							
							</table>
							<div class="fsetsubmit"><input type="submit" name="enregistrer" value="<?php echo PLUGIN_SUBMIT; ?>" tabindex="2" /></div>
						</form>
						
					</div>
				</fieldset>
				
				<?php }
				else echo '<p style="color: red;">',PLUGIN_ERROR_EDIT,'</p>';
				?>
				
			</div>
		</div>
	</div>
	